Bug 164528 - [patch] fix cupsd.conf generation
[patch] fix cupsd.conf generation
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
4
All Linux
high Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-28 11:22 EDT by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.25.3-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 04:17:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selinux-cups.patch (475 bytes, patch)
2005-07-28 11:22 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2005-07-28 11:22:41 EDT
Description of problem:
In some configurations, system-config-printer needs to identify which IP address
is assigned to a particular interface, and to do this it uses rhpl:

                    ips = rhpl.ethtool.get_ipaddr (dev)

Unfortunately SELinux 'targeted' policy denies this, and as a result the
configuration is incorrect and does not allow clients to connect on that interface.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.25.3-6

How reproducible:
100%

Attached is the patch that fixes it.
Comment 1 Tim Waugh 2005-07-28 11:22:42 EDT
Created attachment 117231 [details]
selinux-cups.patch
Comment 2 Daniel Walsh 2005-07-28 12:45:38 EDT
Fixed in selinux-policy-targetd-1.25.3-9

Note You need to log in before you can comment on or make changes to this bug.